Bug 1180698 (sflphone) - Review Request: sflphone - SIP/IAX2 compatible enterprise-class software phone
Summary: Review Request: sflphone - SIP/IAX2 compatible enterprise-class software phone
Keywords:
Status: CLOSED ERRATA
Alias: sflphone
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 692131 (view as bug list)
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2015-01-09 17:42 UTC by Sandro Mani
Modified: 2015-05-20 08:44 UTC (History)
6 users (show)

Fixed In Version: sflphone-1.4.1-6.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 21:51:16 UTC
Type: ---
Embargoed:
loganjerry: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2015-01-09 17:42:29 UTC
Spec URL: https://smani.fedorapeople.org/review/sflphone.spec
SRPM URL: https://smani.fedorapeople.org/review/sflphone-1.4.1-1.fc22.src.rpm
Description: SIP/IAX2 compatible enterprise-class software phone
Fedora Account System Username: smani

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8572738

Currently builds on rawhide only (needing iaxclient-libiax, see [1]). FPC ticket for bundling exception of libiax for F20, F21 filed here [2].

[1] https://lists.fedoraproject.org/pipermail/devel/2015-January/206126.html
[2] https://fedorahosted.org/fpc/ticket/491

Comment 1 Sandro Mani 2015-01-09 17:44:16 UTC
*** Bug 692131 has been marked as a duplicate of this bug. ***

Comment 2 Sandro Mani 2015-01-19 14:41:09 UTC
Bunding request for F20, F21 was approved: https://fedorahosted.org/fpc/ticket/491#comment:2

Comment 3 Jerry James 2015-01-22 20:04:51 UTC
I will take this review.

Comment 4 Jerry James 2015-01-22 21:53:01 UTC
Issues, in no particular order.
1. Please use the %license macro instead of %doc for COPYING.
2. sflphone-common installs a file into /usr/share/dbus-1/services, which is
   owned by the dbus package.  Meanwhile, sflphone-libs has a dependency on
   dbus-libs, but I don't see a dependency on dbus itself anywhere.  Should
   either -common or -libs "Requires: dbus"?
3. sflphone-kde owns /usr/share/icons/hicolor, as well as specific directories
   under it (22x22, 32x32, etc.).  However, hicolor-icon-theme is the proper
   owner of those directories.  The package should not own those directories,
   but rather the files in them, and depend on hicolor-icon-theme.
4. Also, sflphone-kde owns /usr/share/applications/kde4, which is already
   owned by kde-filesystem, which the package already Requires.
5. I wonder whether the -gnome and -kde subpackages should do this:

   Requires: %{name}-libs%{?_isa} = %{version}-%{release}

   instead of depending on sflphone-common.  That way, you can get the
   %{?_isa} in there to be sure there are no architecture mismatches, and
   since -libs and -common depend on each other, the set of packages to be
   installed doesn't change from its current state.
6. Rpmlint says:

sflphone-kde.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/sflphone-client-kde.svgz
Not all desktop environments that support SVG icons support them gzipped
(.svgz).  Install the icon as plain uncompressed SVG.

7. Rpmlint says:

sflphone-kde.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/sflphone-client-kde.desktop file contains group "Protocol", but groups extending the format should start with "X-"

8. Rpmlint also complains about unused direct shlib dependencies.  Perhaps
   linking should be done with -Wl,--as-needed?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "GPL (v3 or later) (with incorrect FSF address)", "LGPL (v3
     or later)", "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2.1
     or later)". 24 files have unknown license. Detailed output of
     licensecheck in /home/jamesjer/1180698-sflphone/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/dbus-1,
     /usr/lib64/sflphone, /usr/share/dbus-1/services

     /usr/lib64/sflphone is a false positive; it is owned by the -libs
     subpackage.  The other 2 directories are owned by dbus.  See issue 2
     above.
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/icons/hicolor/16x16/apps(hicolor-icon-theme, fedora-logos,
     pdfmod, imagination, gnome-activity-journal, poedit, xsane, gweled),
     /usr/share/icons/hicolor/64x64/apps(hicolor-icon-theme, gweled),
     /usr/share/icons/hicolor/22x22(pdfmod, gweled, hicolor-icon-theme,
     fedora-logos), /usr/share/icons/hicolor/48x48/apps(hicolor-icon-theme,
     fedora-logos, imagination, gnome-activity-journal, poedit, xsane,
     gweled), /usr/share/icons/hicolor/22x22/apps(pdfmod, gweled, hicolor-
     icon-theme, fedora-logos, poedit), /usr/share/icons/hicolor/32x32/apps
     (hicolor-icon-theme, fedora-logos, pdfmod, gnome-activity-journal,
     poedit, xsane), /usr/share/applications/kde4(kde-filesystem),
     /usr/share/icons/hicolor/scalable/apps(hicolor-icon-theme, fedora-logos,
     pdfmod, imagination, gnome-activity-journal, poedit, gweled),
     /usr/share/icons/hicolor/16x16(hicolor-icon-theme, fedora-logos, pdfmod,
     imagination, xsane, gweled), /usr/share/icons/hicolor/128x128/apps
     (hicolor-icon-theme), /usr/share/icons/hicolor/128x128(hicolor-icon-
     theme), /usr/share/icons/hicolor/64x64(hicolor-icon-theme, gweled),
     /usr/share/icons/hicolor/48x48(gweled, hicolor-icon-theme, fedora-logos,
     xsane, imagination), /usr/share/icons/hicolor/32x32(pdfmod, hicolor-icon-
     theme, fedora-logos, xsane), /usr/share/icons/hicolor(hicolor-icon-theme,
     fedora-logos, pdfmod, imagination, xsane, gweled),
     /usr/share/icons/hicolor/scalable(pdfmod, gweled, hicolor-icon-theme,
     fedora-logos, imagination)

     See issues 3 and 4 above.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in sflphone-gnome
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in sflphone-gnome, sflphone-kde
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in sflphone-
     common , sflphone-libs , sflphone-gnome , sflphone-gnome-plugins ,
     sflphone-kde , sflphone-kde-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sflphone-common-1.4.1-1.fc22.noarch.rpm
          sflphone-libs-1.4.1-1.fc22.x86_64.rpm
          sflphone-gnome-1.4.1-1.fc22.x86_64.rpm
          sflphone-gnome-plugins-1.4.1-1.fc22.x86_64.rpm
          sflphone-kde-1.4.1-1.fc22.x86_64.rpm
          sflphone-kde-devel-1.4.1-1.fc22.x86_64.rpm
          sflphone-1.4.1-1.fc22.src.rpm
sflphone-gnome-plugins.x86_64: W: no-documentation
sflphone-kde.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/sflphone-client-kde.svgz
sflphone-kde.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/sflphone-client-kde.desktop file contains group "Protocol", but groups extending the format should start with "X-"
sflphone-kde-devel.x86_64: W: only-non-binary-in-usr-lib
sflphone-kde-devel.x86_64: W: no-documentation
7 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>sh-4.3# rpmlint sflphone-kde sflphone-gnome sflphone-kde-devel sflphone-common s 
flphone-libs sflphone-gnome-plugins
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libpthread.so.0
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libakonadi-kmime.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/librt.so.1
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libkresources.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libkcalcore.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libkpimutils.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libkmime.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libkio.so.5
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libQtNetwork.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libQtSvg.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libQtXml.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libphonon.so.4
sflphone-kde.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libksflphone.so.1.4.1 /lib64/libm.so.6
sflphone-kde.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/sflphone-client-kde.svgz
sflphone-kde.x86_64: E: invalid-desktopfile /usr/share/applications/kde4/sflphone-client-kde.desktop file contains group "Protocol", but groups extending the format should start with "X-"
sflphone-kde-devel.x86_64: W: only-non-binary-in-usr-lib
sflphone-kde-devel.x86_64: W: no-documentation
sflphone-gnome-plugins.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 1 errors, 17 warnings.
]0;<mock-chroot><mock-chroot>sh-4.3# echo 'rpmlint-done:'



Requires
--------
sflphone-kde (rpmlib, GLIBC filtered):
    /bin/sh
    kde-filesystem
    libICE.so.6()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXau.so.6()(64bit)
    libXext.so.6()(64bit)
    libXft.so.2()(64bit)
    libXpm.so.4()(64bit)
    libakonadi-contact.so.4()(64bit)
    libakonadi-kde.so.4()(64bit)
    libakonadi-kmime.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkabc.so.4()(64bit)
    libkcalcore.so.4()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libkmime.so.4()(64bit)
    libkpimutils.so.4()(64bit)
    libkresources.so.4()(64bit)
    libksflphone.so.4()(64bit)
    libm.so.6()(64bit)
    libphonon.so.4()(64bit)
    libpthread.so.0()(64bit)
    libqtsflphone.so.1.4.1()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    sflphone-common

sflphone-gnome (rpmlib, GLIBC filtered):
    /bin/sh
    libEGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libclutter-1.0.so.0()(64bit)
    libclutter-gtk-1.0.so.0()(64bit)
    libcogl-pango.so.20()(64bit)
    libcogl-path.so.20()(64bit)
    libcogl.so.20()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libdl.so.2()(64bit)
    libdrm.so.2()(64bit)
    libgbm.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-cursor.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libwayland-server.so.0()(64bit)
    libxkbcommon.so.0()(64bit)
    rtld(GNU_HASH)
    sflphone-common

sflphone-kde-devel (rpmlib, GLIBC filtered):
    libksflphone.so.4()(64bit)
    libqtsflphone.so.1.4.1()(64bit)
    sflphone-kde(x86-64)

sflphone-common (rpmlib, GLIBC filtered):
    sflphone-libs

sflphone-libs (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libasound.so.2(ALSA_0.9.0rc4)(64bit)
    libc.so.6()(64bit)
    libccrtp.so.0()(64bit)
    libcommoncpp.so.6()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-c++-1.so.0()(64bit)
    libdl.so.2()(64bit)
    libexpat.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgnutls.so.28()(64bit)
    libgnutls.so.28(GNUTLS_1_4)(64bit)
    libgsm.so.1()(64bit)
    libiax.so.1()(64bit)
    libilbc.so.0()(64bit)
    libm.so.6()(64bit)
    libpcre.so.1()(64bit)
    libpj.so.2()(64bit)
    libpjlib-util.so.2()(64bit)
    libpjmedia.so.2()(64bit)
    libpjnath.so.2()(64bit)
    libpjsip-simple.so.2()(64bit)
    libpjsip-ua.so.2()(64bit)
    libpjsip.so.2()(64bit)
    libpthread.so.0()(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    librt.so.1()(64bit)
    libsamplerate.so.0()(64bit)
    libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
    libsamplerate.so.0(libsamplerate.so.0.1)(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libspeex.so.1()(64bit)
    libspeexdsp.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libucommon.so.6()(64bit)
    libyaml-0.so.2()(64bit)
    libzrtpcpp.so.4()(64bit)
    rtld(GNU_HASH)
    sflphone-common

sflphone-gnome-plugins (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcamel-1.2.so.51()(64bit)
    libdl.so.2()(64bit)
    libebackend-1.2.so.9()(64bit)
    libebook-1.2.so.15()(64bit)
    libebook-contacts-1.2.so.0()(64bit)
    libedata-book-1.2.so.24()(64bit)
    libedataserver-1.2.so.19()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnssutil3.so()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpthread.so.0()(64bit)
    libsecret-1.so.0()(64bit)
    libsmime3.so()(64bit)
    libsoup-2.4.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libssl3.so()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)
    sflphone-gnome(x86-64)



Provides
--------
sflphone-kde:
    application()
    application(kde4/sflphone-client-kde.desktop)
    libksflphone.so.4()(64bit)
    libqtsflphone.so.1.4.1()(64bit)
    sflphone-kde
    sflphone-kde(x86-64)

sflphone-gnome:
    application()
    application(sflphone.desktop)
    sflphone-gnome
    sflphone-gnome(x86-64)

sflphone-kde-devel:
    sflphone-kde-devel
    sflphone-kde-devel(x86-64)

sflphone-common:
    sflphone-common

sflphone-libs:
    libcodec_alaw.so()(64bit)
    libcodec_g722.so()(64bit)
    libcodec_g729.so()(64bit)
    libcodec_gsm.so()(64bit)
    libcodec_ilbc.so()(64bit)
    libcodec_speex_nb.so()(64bit)
    libcodec_speex_ub.so()(64bit)
    libcodec_speex_wb.so()(64bit)
    libcodec_ulaw.so()(64bit)
    sflphone-libs
    sflphone-libs(x86-64)

sflphone-gnome-plugins:
    libevladdrbook.so()(64bit)
    sflphone-gnome-plugins
    sflphone-gnome-plugins(x86-64)



Unversioned so-files
--------------------
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_alaw.so
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_g722.so
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_g729.so
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_gsm.so
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_ilbc.so
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_speex_nb.so
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_speex_ub.so
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_speex_wb.so
sflphone-libs: /usr/lib64/sflphone/codecs/libcodec_ulaw.so
sflphone-gnome-plugins: /usr/lib64/sflphone/plugins/libevladdrbook.so

Source checksums
----------------
https://projects.savoirfairelinux.com/attachments/download/14805/sflphone-1.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : cc885bdc1fe20d16b03a2ae182b5b41d81035ba9e3b53a0460803cbdc62eb0f8
  CHECKSUM(SHA256) upstream package : cc885bdc1fe20d16b03a2ae182b5b41d81035ba9e3b53a0460803cbdc62eb0f8


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1180698 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Sandro Mani 2015-01-22 23:35:15 UTC
Spec URL: https://smani.fedorapeople.org/review/sflphone.spec
SRPM URL: https://smani.fedorapeople.org/review/sflphone-1.4.1-2.fc22.src.rpm

%changelog
* Thu Jan 22 2015 Sandro Mani <manisandro> - 1.4.1-2
- Use %%license
- Add Requires: dbus to sflphone-common
- Fixed ownership of %%{_datadir}/icons/hicolor, added Requires: hicolor-icon-theme
- Fixed ownership of %%{_datadir}/applications/kde4/
- Require sflphone-libs in sflphone-kde, sflphone-gnome, not sflphone-common
- Fix desktop file
- Add LDFLAGS="-Wl,--as-needed"
- Fix FSF addresses

Comment 6 Jerry James 2015-01-23 21:21:24 UTC
Hmmm, the -Wl,--as-needed addition stomped on Fedora's relro flags.  How about doing this instead?

LDFLAGS="$RPM_LD_FLAGS -Wl,--as-needed" %configure

No need to delay the review for that change, though.  Please do that when you import the package into git.  This package is APPROVED.

Comment 7 Sandro Mani 2015-01-23 22:21:06 UTC
Oh, never noticed that before, will need to fix it in a number of other packages as well!

Thanks for the review!

New Package SCM Request
=======================
Package Name: sflphone
Short Description: SIP/IAX2 compatible enterprise-class software phone
Owners: smani
Branches: f20 f21
InitialCC:

Comment 8 Jason Tibbitts 2015-01-25 18:11:27 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-03-07 23:56:30 UTC
sflphone-1.4.1-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sflphone-1.4.1-6.fc21

Comment 10 Fedora Update System 2015-03-07 23:57:03 UTC
sflphone-1.4.1-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sflphone-1.4.1-6.fc20

Comment 11 Fedora Update System 2015-03-09 08:16:29 UTC
sflphone-1.4.1-6.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2015-03-26 21:51:16 UTC
sflphone-1.4.1-6.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2015-03-26 22:09:47 UTC
sflphone-1.4.1-6.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.